Subject: Re: CPU features again

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 18 Apr 2001 18:47:53 +0200

>> Those feature bits have to be common accross the entire PPC range (and
>> possibly common with ppc64 too since ppc64 is supposed to run ppc32
>> binaries, except that ppc64 has 32 more bits to stuff it's own features
>> for 64 bits binaries).
>
>BTW, we don't take the sparc64/mips64 approach and create arch/ppc64/?
>Sparc64/mips64 run 32-bit binaries as well.

I think we do, not sure, ask the IBM guys or paulus.

But the idea is to make sure the low 32 bits of features they expose to
userland via the asm/ppc64/elf.h (if they implement the HWCAP stuff)
are defined the same as ppc 32 bits.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/